Bug 177191 - usb-storage udev and fstab-sync not invoked
usb-storage udev and fstab-sync not invoked
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gnome-volume-manager (Show other bugs)
4
i386 Linux
medium Severity low
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-06 23:39 EST by Lenny G. Arbage
Modified: 2013-03-05 22:44 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-26 13:39:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lenny G. Arbage 2006-01-06 23:39:41 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
USB drives are not automatically mounted, although the scsi subsystem does detect the device and manual mounting is possible.

Version-Release number of selected component (if applicable):
dbus-0.33-3.fc4.1 hal-0.5.2-2 gnome-volume-manager-1.3.1-1

How reproducible:
Always

Steps to Reproduce:
1. insert USB drive into USB port


Actual Results:  The drive was not automatically mounted.

Expected Results:  The drive should have automatically mounted, an icon should have appeared on the desktop

Additional info:

This is all I get when I attach a USB drive:

Jan  6 21:23:17 treafy kernel: sda: Write Protect is off
Jan  6 21:23:17 treafy kernel: sda: assuming drive cache: write through
Jan  6 21:23:17 treafy kernel: SCSI device sda: 253440 512-byte hdwr sectors (130 MB)
Jan  6 21:23:17 treafy kernel: sda: Write Protect is off
Jan  6 21:23:17 treafy kernel: sda: assuming drive cache: write through
Jan  6 21:23:17 treafy kernel:  sda: sda1
Jan  6 21:23:17 treafy kernel: Attached scsi removable disk sda at scsi1, channel 0, id 0, lun 0
Jan  6 21:23:17 treafy scsi.agent[3164]: disk at /devices/pci0000:00/0000:00:1d.2/usb4/4-2/4-2:1.0/host1/target1:0:0/1:0:0:0
Jan  6 21:23:30 treafy kernel: usb 4-2: USB disconnect, address 3
Jan  6 21:23:50 treafy ntpd[2154]: synchronized to 18.26.4.105, stratum 1

Notice that there is no output from udev or fstab-sync, so the usb drive doesn't show up on the desktop (though I can manually mount sda1).

On another box, same FC4, this device works perfectly.

The difference is that the non-working box was upgraded from FC2, while the working box was upgraded from FC3.  I'm pulling my hair out trying to discover what I'm missing on the non-working box.  Any tips for fixing this?
Comment 1 Lenny G. Arbage 2006-01-07 02:51:15 EST
I should also mention that the haldaemon user/group did not exist a priori on
the non-working box, and that /etc/init.d/messagebus complained appropriately. 
I have added a haldaemon user/group manually that matches the one that exists on
the working FC4 box, i.e.,

[~]$ cat /etc/passwd | grep haldaemon
haldaemon:x:68:68:HAL daemon:/:/sbin/nologin
[~]$ cat /etc/group | grep haldaemon
haldaemon:x:68:
[~]$ sudo cat /etc/shadow | grep haldaemon
haldaemon:!!:13155:0:99999:7:::

This doesn't change the behavior.
Comment 2 Thomas Woerner 2006-01-09 09:14:02 EST
This is no usbutils problem.

Assigning to gnome-volume-manager.
Comment 3 Christian Iseli 2007-01-22 05:46:59 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 4 Lenny G. Arbage 2007-01-26 13:39:02 EST
seems to work in fc6

Note You need to log in before you can comment on or make changes to this bug.